Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class AclUtilities

    java.lang.Object
      oracle.ifs.utils.common.AclUtilities

    public class AclUtilities

extends java.lang.Object

AclUtilities is a set of miscellaneous tools used for ACL management.

(Published)

Constructor Summary
`AclUtilities()`

Method Summary
`static AccessControlEntryDefinition` | `deriveAccessControlEntryDefinition(LibrarySession sess, java.lang.String accessList)`
`static AccessLevel` | `deriveAccessLevel(LibrarySession sess, java.lang.String accessList)`
`static java.lang.String` | `formatAccessLevel(LibrarySession sess, AccessLevel level)` Produce a readable version of an AccessLevel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AclUtilities

    public AclUtilities()

Method Detail

### deriveAccessLevel

    public static AccessLevel deriveAccessLevel(LibrarySession sess,
                                                java.lang.String accessList)
                                         throws IfsException

  Throws:
    `IfsException`

### deriveAccessControlEntryDefinition

    public static AccessControlEntryDefinition deriveAccessControlEntryDefinition(LibrarySession sess,
                                                                                  java.lang.String accessList)
                                                                           throws IfsException

  Throws:
    `IfsException`

### formatAccessLevel

    public static java.lang.String formatAccessLevel(LibrarySession sess,
                                                     AccessLevel level)
                                              throws IfsException

  Description copied from class: `AclUtilities`
  Produce a readable version of an AccessLevel

  Parameters:
    `sess` - session context
    `level` - the AccessLevel
  Returns:
    String representation of the AccessLevel
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD